Bug 1125275 - [abrt] btrfs-progs: close_ctree(): btrfsck killed by SIGSEGV
Summary: [abrt] btrfs-progs: close_ctree(): btrfsck killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: btrfs-progs
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d3c28757da4652079baec5db787...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 13:20 UTC by Wilhelm.Buchmueller
Modified: 2015-06-29 21:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:52:31 UTC


Attachments (Terms of Use)
File: backtrace (9.29 KB, text/plain)
2014-07-31 13:20 UTC, Wilhelm.Buchmueller
no flags Details
File: cgroup (164 bytes, text/plain)
2014-07-31 13:21 UTC, Wilhelm.Buchmueller
no flags Details
File: core_backtrace (986 bytes, text/plain)
2014-07-31 13:21 UTC, Wilhelm.Buchmueller
no flags Details
File: dso_list (690 bytes, text/plain)
2014-07-31 13:21 UTC, Wilhelm.Buchmueller
no flags Details
File: environ (1.98 KB, text/plain)
2014-07-31 13:21 UTC, Wilhelm.Buchmueller
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-31 13:21 UTC, Wilhelm.Buchmueller
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-31 13:21 UTC, Wilhelm.Buchmueller
no flags Details
File: maps (2.43 KB, text/plain)
2014-07-31 13:21 UTC, Wilhelm.Buchmueller
no flags Details
File: open_fds (135 bytes, text/plain)
2014-07-31 13:21 UTC, Wilhelm.Buchmueller
no flags Details
File: proc_pid_status (761 bytes, text/plain)
2014-07-31 13:21 UTC, Wilhelm.Buchmueller
no flags Details
File: var_log_messages (1.53 KB, text/plain)
2014-07-31 13:21 UTC, Wilhelm.Buchmueller
no flags Details

Description Wilhelm.Buchmueller 2014-07-31 13:20:53 UTC
Description of problem:
check an damaged filesys (created by an Fedora20 installation)

Version-Release number of selected component:
btrfs-progs-3.14.2-3.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        btrfsck -b /dev/sdd2
crash_function: close_ctree
executable:     /usr/sbin/btrfsck
kernel:         3.15.6-200.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 close_ctree at disk-io.c:1370
 #1 cmd_check at cmds-check.c:6667

Comment 1 Wilhelm.Buchmueller 2014-07-31 13:20:59 UTC
Created attachment 922918 [details]
File: backtrace

Comment 2 Wilhelm.Buchmueller 2014-07-31 13:21:01 UTC
Created attachment 922919 [details]
File: cgroup

Comment 3 Wilhelm.Buchmueller 2014-07-31 13:21:03 UTC
Created attachment 922920 [details]
File: core_backtrace

Comment 4 Wilhelm.Buchmueller 2014-07-31 13:21:05 UTC
Created attachment 922921 [details]
File: dso_list

Comment 5 Wilhelm.Buchmueller 2014-07-31 13:21:07 UTC
Created attachment 922922 [details]
File: environ

Comment 6 Wilhelm.Buchmueller 2014-07-31 13:21:09 UTC
Created attachment 922923 [details]
File: exploitable

Comment 7 Wilhelm.Buchmueller 2014-07-31 13:21:11 UTC
Created attachment 922924 [details]
File: limits

Comment 8 Wilhelm.Buchmueller 2014-07-31 13:21:13 UTC
Created attachment 922925 [details]
File: maps

Comment 9 Wilhelm.Buchmueller 2014-07-31 13:21:15 UTC
Created attachment 922926 [details]
File: open_fds

Comment 10 Wilhelm.Buchmueller 2014-07-31 13:21:17 UTC
Created attachment 922927 [details]
File: proc_pid_status

Comment 11 Wilhelm.Buchmueller 2014-07-31 13:21:19 UTC
Created attachment 922928 [details]
File: var_log_messages

Comment 12 Eric Sandeen 2014-07-31 15:18:36 UTC
If a btrfs-image filesystem image reproduces this, that might be helpful information to gather.

Thanks,
-Eric

Comment 13 Fedora End Of Life 2015-05-29 12:31:40 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:52:31 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.